PPD Does not produce code to install for this platform [Windows 7 64 bit]

Posted by mlenco on 2010-12-03 06:43
Forums: PPM | OS: Windows 7

I am trying to install a module necessary to setup oinkmaster [dependency of SNORT] but I get this error: Any thoughts on how to get Update Snort Rules.pl installed without ppm?

C:\Users\Me\Downloads>ppm install Tk-804.028.ppmx
ppm install failed: The PPD does not provide code to install for this platform

C:\Users\Me\Downloads>perl -v

This is perl, v5.10.1 built for MSWin32-x64-multi-thread
(with 2 registered patches, see perl -V for more detail)

Copyright 1987-2009, Larry Wall

Binary build 1007 291969 provided by ActiveState http://www.ActiveState.com
Built Jan 27 2010 14:12:21

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl". If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.

grahams
ActiveState Staff
Tue, 2011-11-22 17:05

If you get this "ppm install failed: The PPD does not provide code to install for this platform"
you're trying to pound a square peg in a round hole.

Could be that your ppmx file is very old, for a different operating system, and/or for the wrong major release of Perl. Tk is available for most platforms via PPM now, it just takes a long time for the maintainer to update it every time a new major revision of Perl comes out.